Skip to content
API Reference

Users

Users

List
client.organizations.users.list(stringorganizationID, UserListParams { after, before, expand, 3 more } params?, RequestOptionsoptions?): UserListResponse { items, page_info, permissions }
GET/organizations/{organization_id}/users
Retrieve
client.organizations.users.retrieve(stringuserID, UserRetrieveParams { organization_id, expand, xClientRequestID } params, RequestOptionsoptions?): OrganizationUser { id, created_at, role, 5 more }
GET/organizations/{organization_id}/users/{user_id}
Update
client.organizations.users.update(stringuserID, UserUpdateParams { organization_id, role, status, xClientRequestID } params, RequestOptionsoptions?): OrganizationUser { id, created_at, role, 5 more }
PATCH/organizations/{organization_id}/users/{user_id}
Delete
client.organizations.users.delete(stringuserID, UserDeleteParams { organization_id, xClientRequestID } params, RequestOptionsoptions?): void
DELETE/organizations/{organization_id}/users/{user_id}
ModelsExpand Collapse
OrganizationRole = "org_admin" | "org_member" | "org_viewer"

User's role in the organization

Accepts one of the following:
"org_admin"
"org_member"
"org_viewer"
OrganizationStatus = "active" | "disabled"

Status of organization membership

Accepts one of the following:
"active"
"disabled"
OrganizationUser { id, created_at, role, 5 more }
id: string

The keycard account ID

minLength1
maxLength255
created_at: string

The time the entity was created in utc

formatdate-time

User's role in the organization

Accepts one of the following:
"org_admin"
"org_member"
"org_viewer"
source: string

Identity provider issuer

formaturi

Status of organization membership

Accepts one of the following:
"active"
"disabled"
updated_at: string

The time the entity was mostly recently updated in utc

formatdate-time
email?: string

User email address

formatemail
permissions?: Record<string, Record<string, boolean>>

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.